<script>
//===================================================================*/
/* イベント
//===================================================================*/
//　F2 表示
$(document).on("click", ".popaf212x1Func2:not('.noevent')", function (e) {
  $('#popaf212x1Search').trigger('click');
});
//　F5 クリア
$(document).on("click", ".popaf212x1Func5:not('.noevent')", function (e) {
  af212x1.initial();
});
//　F9 決定
$(document).on("click", ".popaf212x1Func9:not('.noevent')", function (e) {
  $("#popaf212x1Select").trigger("click");
});
//　F12 メニュー/戻る
$(document).on("click", ".popaf212x1Func12:not('.noevent')", function (e) {
  $('#popaf212x1Close').trigger('popClose');
});

$(document).on("focus", "#af212x1Dummy", function(e) {
  $(".popaf212x1Func2").focus();
});

$(document).on("click", ".cmdAf212x1", function (e) {
  var $me = $(this);
  if($me.hasClass("cmdAf215x1")) {
    $("#af212x1Mode").val("1"); //直送発注入力から
  } else {
    $("#af212x1Mode").val("0");
  }
  dspPopupAfm2121x($(this));
});

$(document).on("keyup", ".popAf212x1", function (e) {
  if (e.keyCode == 40) {
    var $me = $(this);
    if($me.hasClass("popAf215x1")) { //直送発注入力から
      $("#af212x1Mode").val("1");
    } else {
      $("#af212x1Mode").val("0");
    }
    dspPopupAfm2121x($(this));
  }
});


//$(document).on("click", ".popup-af212x1", function (e) {
//    var grp = $(this).closest(".af212x1popup");
function dspPopupAfm2121x($me) {
    //var grp = $(".contents.af2000x .header .af212x1popup");
    var grp = $me.closest(".af212x1popup");
    var frmh = grp.closest(".header");

    popup.openPopup("af212x1", $(grp));

    af212x1.initial();

    var mcd = common.getValue(grp.find(".mcd"));
    var mnm = common.getValue(grp.find(".mnm"));
    if(!stringUtil.isEmpty(mcd)) {
      common.setValue($("#af212x1Mcd"),mcd);
      common.setValue($("#af212x1Mnm"),mnm);
    }

    common.setValue($("#af212x1OrgTitle"), common.getValue($("#topPrgTitle")));
    common.setValue($("#topPrgTitle"),"発注番号検索");

    common.setDetailHeight($("#af212x1Detail"));


	  //$('#popaf212x1Search').trigger('click');
}
//});

$(document).on("click", "#popaf212x1Search", function (e) {
  var me = this;
  // 読込
  var top = $(this).closest(".af212x1");

  common.clearFormError(top);

  var errflg = false;

  if(stringUtil.isEmpty($("#af212x1Mcd").val())
  && (stringUtil.isEmpty($("#af212x1Dat1s").val()) || stringUtil.isEmpty($("#af212x1Dat1e").val()))) {
      errflg = true;
      common.addError($("#af212x1Mcd"), "何れかを入力してください。", null, true);
      common.addError($("#af212x1Dat1e"), "何れかを入力してください。", null, true);
      common.addError($("#af212x1Dat1s"), "何れかを入力してください。", null, true);
  }

  if(!stringUtil.isEmpty($("#af212x1Dat1s").val()) && !stringUtil.isEmpty($("#af212x1Dat1e").val())) {
    let wsdat = dateUtil.getYYYYMMDDDate(common.getValue($("#af212x1Dat1s")));
    let wedat = dateUtil.getYYYYMMDDDate(common.getValue($("#af212x1Dat1e")));

    if(wsdat > wedat) {
      errflg = true;
      common.addError($("#af212x1Dat1s"), "正しい範囲を入力して下さい。", null, true);
      common.addError($("#af212x1Dat1e"), "正しい範囲を入力して下さい。", null, true);
    } else {
      wsdat.setMonth(wsdat.getMonth()+1);
      if(wsdat <= wedat) {
        errflg = true;
        common.addError($("#af212x1Dat1s"), "１ヶ月以内で入力して下さい。", null, true);
        common.addError($("#af212x1Dat1e"), "１ヶ月以内で入力して下さい。", null, true);
      }
    }
  }

  if(errflg) {
    alert("エラーがあります");
    return false;
  }

  af212x1.deldetail();  //明細削除

  var sendData = {};

  sendData["popmode"] = "af212x1";
  sendData["spktcd"] = $("#af212x1Spktcd").val();
  sendData["mcd"] = $("#af212x1Mcd").val();
  sendData["dat1s"] = $("#af212x1Dat1s").val();
  sendData["dat1e"] = $("#af212x1Dat1e").val();
  {if $_PRODUCT_ID eq 'AF215X'}
    sendData["mode"] =  '1'; {*直送発注入力から*}
  {else if $_PRODUCT_ID eq 'AF233X'}
    sendData["mode"] =  '2'; {*仕入入力から*}
  {else}
    sendData["mode"] =  '0'; {*発注入力から*}
  {/if}
  setComplianceData("search", sendData);

  var me = $(this);
  common.postData(
    common.getApiUrl() + "getPopupSearch.php"
    , sendData
    , function (data, options) { $(me).trigger("regSuccess", data); }
    , function (error, options) { $(me).trigger("regError", error); }
  );

});

$(document).on("regSuccess", "#popaf212x1Search", function (e, data) {
  var list = JSON.parse(data);

  if (!(list != null)) {
    return false;
  }

  $("#af212x1Detail .detail").remove();
  var el = "";
  for (var i = 0; i < list.length; i++) {

    if(i == 0) {
      $("#af212x1Tamt").val(common.addFigure(list[i].t_amt));
      $("#af212x1Tvseq").val(common.addFigure(list[i].t_vseq));
    }

    el += af212x1.appendRow(list[i]);
  }
  $("#af212x1Detail").append(el);

  common.setDetailHeight($("#af212x1Detail"));

  $("#af212x1Detail .detail").first().find("a").focus();
});
$(document).on("regError", "#popaf212x1Search", function (e, data) {
  alert(data.msg);
});

$(document).on("dblclick", "#af212x1Detail .selectRow", function (e) {
  $("#popaf212x1Select").trigger("click");
});

$(document).on("click", "#popaf212x1Select", function (e) {
  if (e.bubbles == false) {
    return false;
  }

  var sel = $("#af212x1Detail .selectRow");

  var selVseq = $("#af212x1Detail .selectRow .vseq").text();
  var selMcd = $("#af212x1Detail .selectRow .mcd").text();
  var selMnm = $("#af212x1Detail .selectRow .mnm").text();
  var selSpktcd = $("#af212x1Detail .selectRow .spktcd").text();
  var selSpktnm = $("#af212x1Detail .selectRow .spktnm").text();

  var grp = popup.closePopup("af212x1");
  var frmh = grp.closest(".header");

  if (grp.hasClass("af233x1popup")) {  //仕入入力
    var vseq = grp.find(".cvseq")[0];
  } else {
    var vseq = grp.find(".vseq")[0];
  }
  var mcd = frmh.find(".mcd")[0];
  var mnm = frmh.find(".mnm")[0];
  var spktcd = frmh.find(".spktcd")[0];
  var spktnm = frmh.find(".spktnm")[0];
  $(vseq).val(selVseq);
  $(mcd).val(selMcd);
  $(mnm).val(selMnm);
  $(spktcd).val(selSpktcd);
  $(spktnm).val(selSpktnm);


  af212x1.initial();

  common.setValue($("#topPrgTitle"), common.getValue($("#af212x1OrgTitle")));
  $(vseq).trigger("afterSelectaf212x1");
});

$("#popaf212x1Close").on("popClose", function (e) {
  if (e.bubbles == false) {
    return false;
  }
  common.setValue($("#topPrgTitle"), common.getValue($("#af212x1OrgTitle")));
  af212x1.initial();
  af212x1.close();
});

$(document).on("keydown", "#af212x1Detail .selectRow", function (e) {
  if (e.keyCode == 32) {
    $("#popaf212x1Select").trigger("click");
    return false;
  }
});

var af212x1 = {
  close: function () {
    this.initial();
    popup.closePopup("af212x1");
  },

  appendRow: function (d) {
    var n = stringUtil.nvl;
    var row =
      ' <div class="col wp-100 detail"> ' +
      '   <hr> ' +
      '   <div class="col wp-100"> ' +
      '     <a href="#" class="line"> </a> ' +
      '     <div class="col wp-100"> ' +
      '       <div class="item wd-100 inputReadOnly vseq">' + n(d.vseq) + '</div>' +
      '       <div class="item wd-SS inputReadOnly spktcd">' + n(d.spktcd) + '</div>' +
      '       <div class="item wd-M inputReadOnly spktnm">' + n(d.spktnm) + '</div>' +
      '       <div class="item wd-date inputReadOnly dat1">' + n(d.dat1) + '</div>' +
      '       <div class="item wd-S inputReadOnly mcd">' + n(d.mcd) + '</div>' +
      '       <div class="item wd-LL inputReadOnly mnm">' + n(d.mnm) + '</div>' +
      '       <div class="item wd-100 inputReadOnly amt text-right">' + common.addFigure(n(d.amt)) + '</div>' +
      '     </div> ' +
      '   </div> ' +
      ' </div> ';

    return row;
  },

  deldetail: function () {
    var el = document.getElementById("af212x1Detail");
    var n = el.cloneNode(false);
    el.parentNode.replaceChild(n, el);
  },

  initial: function () {
    var main = $(".af212x1").find(".header_popaf212x1");
    common.clearInputData(main);
    common.clearAllError();

    var el = document.getElementById("af212x1Detail");
    var n = el.cloneNode(false);
    el.parentNode.replaceChild(n, el);

    $("#af212x1Mcd").focus();

  },
}
</script>
